{
  "accUserMode" : 0,
  "codeName" : "AppPortalView",
  "dynaModelFilePath" : "PSSYSAPPS/TemplatePublish/PSAPPPORTALVIEWS/AppPortalView.json",
  "name" : "AppPortalView",
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/TemplatePublish/PSAPPMODULES/Ungroup.json"
  },
  "getPSControls" : [ {
    "codeName" : "AppPortalView_db",
    "controlType" : "DASHBOARD",
    "name" : "dashboard",
    "getPSControlHandler" : {
      "enableDEFieldPrivilege" : false,
      "id" : "dashboard"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true
    },
    "getPSLayout" : {
      "childColLG" : -1,
      "childColMD" : 24,
      "childColSM" : -1,
      "childColXS" : -1,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "getPSControls" : [ {
      "codeName" : "PhoneList",
      "getContentPSControl" : {
        "name" : "db_sysportlet1_list"
      },
      "controlType" : "PORTLET",
      "height" : 300.0,
      "name" : "db_sysportlet1",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Phone.json"
      },
      "getPSControlHandler" : {
        "enableDEFieldPrivilege" : false,
        "id" : "db_sysportlet1"
      },
      "getPSControlParam" : {
        "autoLoad" : true,
        "showBusyIndicator" : true
      },
      "getPSControls" : [ {
        "codeName" : "Mob",
        "controlType" : "LIST",
        "getCreatePSControlAction" : {
          "modelref" : true,
          "id" : "create",
          "actionName" : "Create",
          "actionType" : "DEACTION",
          "dataAccessAction" : "CREATE",
          "name" : "create",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Create"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Phone.json"
          }
        },
        "dynaModelFilePath" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Phone/PSLISTS/Mob.json",
        "getFetchPSControlAction" : {
          "modelref" : true,
          "id" : "fetch",
          "actionType" : "DEDATASET",
          "name" : "fetch",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "FetchDefault"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Phone.json"
          }
        },
        "getGetPSControlAction" : {
          "modelref" : true,
          "id" : "load",
          "actionName" : "Get",
          "actionType" : "DEACTION",
          "dataAccessAction" : "READ",
          "name" : "load",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Get"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Phone.json"
          }
        },
        "groupMode" : "NONE",
        "height" : 300.0,
        "getItemPSLayoutPanel" : {
          "getAllPSPanelFields" : [ {
            "id" : "field1"
          }, {
            "id" : "field2"
          }, {
            "id" : "field3"
          }, {
            "id" : "field4"
          }, {
            "id" : "field5"
          } ],
          "codeName" : "A914dc5f9880ff309a2",
          "controlType" : "PANEL",
          "layoutMode" : "TABLE_24COL",
          "logicName" : "表格布局面板(测试)",
          "name" : "db_sysportlet1_list_itempanel",
          "getPSControlParam" : { },
          "getPSLayout" : {
            "childColLG" : -1,
            "childColMD" : 24,
            "childColSM" : -1,
            "childColXS" : -1,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getRootPSPanelItems" : [ {
            "caption" : "标题",
            "itemStyle" : "DEFAULT",
            "itemType" : "FIELD",
            "name" : "field1",
            "getPSEditor" : {
              "editorType" : "SPAN",
              "name" : "field1",
              "enableLinkView" : false
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "hidden" : false,
            "showCaption" : false
          }, {
            "caption" : "标题2",
            "itemStyle" : "DEFAULT",
            "itemType" : "FIELD",
            "name" : "field2",
            "getPSEditor" : {
              "editorType" : "SPAN",
              "name" : "field2",
              "enableLinkView" : false
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "hidden" : false,
            "showCaption" : false
          }, {
            "caption" : "标题3",
            "itemStyle" : "DEFAULT",
            "itemType" : "FIELD",
            "name" : "field3",
            "getPSEditor" : {
              "editorType" : "SPAN",
              "name" : "field3",
              "enableLinkView" : false
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "hidden" : false,
            "showCaption" : false
          }, {
            "caption" : "标题4",
            "itemStyle" : "DEFAULT",
            "itemType" : "FIELD",
            "name" : "field4",
            "getPSEditor" : {
              "editorType" : "SPAN",
              "name" : "field4",
              "enableLinkView" : false
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "hidden" : false,
            "showCaption" : false
          }, {
            "caption" : "标题5",
            "itemStyle" : "DEFAULT",
            "itemType" : "FIELD",
            "name" : "field5",
            "getPSEditor" : {
              "editorType" : "SPAN",
              "name" : "field5",
              "enableLinkView" : false
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "hidden" : false,
            "showCaption" : false
          }, {
            "caption" : "首页菜单",
            "itemStyle" : "DEFAULT",
            "itemType" : "CTRLPOS",
            "name" : "appmenu",
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "showCaption" : true
          } ],
          "layoutPanel" : true,
          "modelid" : "0BB26AC5-B544-453F-938C-44F5A073D7C2",
          "modeltype" : "PSSYSVIEWPANEL"
        },
        "logicName" : "MOB",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Phone.json"
        },
        "getPSControlHandler" : {
          "getPSHandlerActions" : [ {
            "actionName" : "Get",
            "actionType" : "DEACTION",
            "dataAccessAction" : "READ",
            "name" : "load",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Get"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Phone.json"
            }
          }, {
            "actionName" : "Create",
            "actionType" : "DEACTION",
            "dataAccessAction" : "CREATE",
            "name" : "create",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Create"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Phone.json"
            }
          }, {
            "actionName" : "Update",
            "actionType" : "DEACTION",
            "dataAccessAction" : "UPDATE",
            "name" : "update",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Update"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Phone.json"
            }
          }, {
            "actionName" : "Remove",
            "actionType" : "DEACTION",
            "dataAccessAction" : "DELETE",
            "name" : "remove",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Remove"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Phone.json"
            }
          }, {
            "actionType" : "DEDATASET",
            "name" : "fetch",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "FetchDefault"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Phone.json"
            }
          } ],
          "userDRAction" : "READ",
          "enableDEFieldPrivilege" : false,
          "id" : "列表控件处理器"
        },
        "getPSControlParam" : {
          "height" : 300.0,
          "autoLoad" : true,
          "showBusyIndicator" : true
        },
        "getPSDEDataImport" : {
          "modelref" : true,
          "id" : "DataImport"
        },
        "getPSDEListDataItems" : [ {
          "dataType" : 25,
          "name" : "srfkey",
          "getPSAppDEField" : {
            "name" : "PHONEID",
            "codeName" : "PhoneId"
          }
        }, {
          "dataType" : 25,
          "name" : "srfmajortext",
          "getPSAppDEField" : {
            "name" : "PHONENAME",
            "codeName" : "PhoneName"
          }
        }, {
          "dataType" : 25,
          "name" : "pphoneid3",
          "getPSAppDEField" : {
            "name" : "PPHONEID3",
            "codeName" : "Pphoneid3"
          }
        }, {
          "dataType" : 25,
          "name" : "pphoneid4",
          "getPSAppDEField" : {
            "name" : "PPHONEID4",
            "codeName" : "Pphoneid4"
          }
        }, {
          "dataType" : 25,
          "name" : "pphoneid",
          "getPSAppDEField" : {
            "name" : "PPHONEID",
            "codeName" : "Pphoneid"
          }
        }, {
          "dataType" : 25,
          "name" : "pphoneid2",
          "getPSAppDEField" : {
            "name" : "PPHONEID2",
            "codeName" : "Pphoneid2"
          }
        } ],
        "pagingSize" : 1000,
        "getRemovePSControlAction" : {
          "modelref" : true,
          "id" : "remove",
          "actionName" : "Remove",
          "actionType" : "DEACTION",
          "dataAccessAction" : "DELETE",
          "name" : "remove",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Remove"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Phone.json"
          }
        },
        "getUpdatePSControlAction" : {
          "modelref" : true,
          "id" : "update",
          "actionName" : "Update",
          "actionType" : "DEACTION",
          "dataAccessAction" : "UPDATE",
          "name" : "update",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Update"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Phone.json"
          }
        },
        "hasWFDataItems" : false,
        "enableGroup" : false,
        "enableRowEdit" : false,
        "enableRowEditGroup" : false,
        "enableRowEditOrder" : false,
        "enableRowNew" : false,
        "noSort" : false,
        "showHeader" : true,
        "name" : "db_sysportlet1_list",
        "modelid" : "328464b4629381af0328575a2f898569",
        "modeltype" : "PSDELIST"
      } ],
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "portletType" : "LIST",
      "title" : "手机列表",
      "showTitleBar" : true,
      "modelid" : "817E4C89-9D0F-4134-9414-C8FEA642C1C8",
      "modeltype" : "PSSYSDBPART"
    } ],
    "enableCustomized" : false,
    "modelid" : "8B39C029-B573-4589-B08A-66EE1279D34C",
    "modeltype" : "PSSYSDASHBOARD"
  }, {
    "codeName" : "captionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSControlParam" : { }
  } ],
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPPORTALVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "title" : "应用门户视图",
  "viewStyle" : "DEFAULT",
  "viewType" : "APPPORTALVIEW",
  "enableDP" : true,
  "modelid" : "8B39C029-B573-4589-B08A-66EE1279D34C",
  "modeltype" : "PSAPPPORTALVIEW"
}